%define name python-memphis
%define version 0.2.1
%define release %mkrel 2

Summary: Python bindings for the Memphis maps renderer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: pymemphis-mainline-master.tar.gz
License: GPLv2+
Group: Development/Python
Url: http://gitorious.net/pymemphis
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: memphis-devel
BuildRequires: python-gobject-devel
BuildRequires: python-cairo-devel

%description
Libmemphis is a generic glib/cairo based OSM renderer library. It
draws maps on arbitrary cairo surfaces. PyMemphis provides Python
bindings for this library.

%package devel
Summary: Python bindings for the Memphis maps renderer
Group: Development/Python
Requires: %name = %version-%release

%description devel
Libmemphis is a generic glib/cairo based OSM renderer library. It
draws maps on arbitrary cairo surfaces. PyMemphis provides Python
bindings for this library.

%prep
%setup -q -n pymemphis-mainline
./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README
%py_platsitedir/memphis

%files devel
%defattr(-,root,root)
%_datadir/pymemphis
%_libdir/pkgconfig/pymemphis-0.2.pc





%changelog
* Sun Jan 23 2011 pterjan <pterjan> 0.2.1-2.mga1
+ Revision: 35477
- imported package python-memphis


* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-2mdv2011.0
+ Revision: 593363
- rebuild for new python 2.7

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 565771
- import python-memphis


